<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'renysh',

    /*
     * Package.
     */
    'package'   => 'turismo',

    /*
     * Modules.
     */
    'modules'   => ['catalogo', 'catalogoitem', 'sitioevento', 'ubicacion', 'horarioatencion', 'calificacion', 'recurso', 'itinerario', 'itinerarioitem', 'ruta', 'rutaitem'],


    'catalogo'       => [
        'model'             => 'Renysh\Turismo\Models\Catalogo',
        'table'             => 'catalogos',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\CatalogoItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'codigo',  'nombre',  'descripcion'],
        'translate'         => ['codigo',  'nombre',  'descripcion'],

        'upload-folder'     => '/uploads/turismo/catalogo',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'catalogoitem'       => [
        'model'             => 'Renysh\Turismo\Models\Catalogoitem',
        'table'             => 'catalogoitems',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\CatalogoitemItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'codigo',  'nombre',  'descripcion',  'catalogo_id'],
        'translate'         => ['codigo',  'nombre',  'descripcion',  'catalogo_id'],

        'upload-folder'     => '/uploads/turismo/catalogoitem',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'sitioevento'       => [
        'model'             => 'Renysh\Turismo\Models\Sitioevento',
        'table'             => 'sitioeventos',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\SitioeventoItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'nombre',  'correo',  'telefono',  'descripcion',  'direccion',  'activo',  'calificaciontotal',  'fecha',  'hora',  'categoria_itm_id',  'ambiente_itm_id',  'tipo_itm_id'],
        'translate'         => ['nombre',  'correo',  'telefono',  'descripcion',  'direccion',  'activo',  'calificaciontotal',  'fecha',  'hora',  'categoria_itm_id',  'ambiente_itm_id',  'tipo_itm_id'],

        'upload-folder'     => '/uploads/turismo/sitioevento',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'ubicacion'       => [
        'model'             => 'Renysh\Turismo\Models\Ubicacion',
        'table'             => 'ubicacions',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\UbicacionItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'latitud',  'longitud',  'orden',  'sitioevento_id'],
        'translate'         => ['latitud',  'longitud',  'orden',  'sitioevento_id'],

        'upload-folder'     => '/uploads/turismo/ubicacion',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'horarioatencion'       => [
        'model'             => 'Renysh\Turismo\Models\Horarioatencion',
        'table'             => 'horarioatencions',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\HorarioatencionItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'horaapertura',  'horacierre',  'dia_itm_id',  'tipo_itm_id',  'sitioevento_id'],
        'translate'         => ['horaapertura',  'horacierre',  'dia_itm_id',  'tipo_itm_id',  'sitioevento_id'],

        'upload-folder'     => '/uploads/turismo/horarioatencion',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'calificacion'       => [
        'model'             => 'Renysh\Turismo\Models\Calificacion',
        'table'             => 'calificacions',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\CalificacionItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'valor',  'comentario',  'sitioevento_id'],
        'translate'         => ['valor',  'comentario',  'sitioevento_id'],

        'upload-folder'     => '/uploads/turismo/calificacion',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'recurso'       => [
        'model'             => 'Renysh\Turismo\Models\Recurso',
        'table'             => 'recursos',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\RecursoItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'nombre',  'descripcion',  'tipo_itm_id',  'sitioevento_id'],
        'translate'         => ['nombre',  'descripcion',  'tipo_itm_id',  'sitioevento_id'],

        'upload-folder'     => '/uploads/turismo/recurso',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'itinerario'       => [
        'model'             => 'Renysh\Turismo\Models\Itinerario',
        'table'             => 'itinerarios',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\ItinerarioItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'descripcion',  'duracion'],
        'translate'         => ['descripcion',  'duracion'],

        'upload-folder'     => '/uploads/turismo/itinerario',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'itinerarioitem'       => [
        'model'             => 'Renysh\Turismo\Models\Itinerarioitem',
        'table'             => 'itinerarioitems',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\ItinerarioitemItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'fecha',  'hora',  'descripcion',  'estado_itm_id',  'itinerario_id',  'sitioevento_id'],
        'translate'         => ['fecha',  'hora',  'descripcion',  'estado_itm_id',  'itinerario_id',  'sitioevento_id'],

        'upload-folder'     => '/uploads/turismo/itinerarioitem',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'ruta'       => [
        'model'             => 'Renysh\Turismo\Models\Ruta',
        'table'             => 'rutas',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\RutaItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'descripcion',  'duracion'],
        'translate'         => ['descripcion',  'duracion'],

        'upload-folder'     => '/uploads/turismo/ruta',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],    'rutaitem'       => [
        'model'             => 'Renysh\Turismo\Models\Rutaitem',
        'table'             => 'rutaitems',
        'presenter'         => \Renysh\Turismo\Repositories\Presenter\RutaitemItemPresenter::class,
        'hidden'            => [],
        'visible'           => [],
        'guarded'           => ['*'],
        'slugs'             => ['slug' => 'name'],
        'dates'             => ['deleted_at'],
        'appends'           => [],
        'fillable'          => ['user_id', 'descripcion',  'orden',  'ruta_id',  'sitioevento_id'],
        'translate'         => ['descripcion',  'orden',  'ruta_id',  'sitioevento_id'],

        'upload-folder'     => '/uploads/turismo/rutaitem',
        'uploads'           => [
                                    'single'    => [],
                                    'multiple'  => [],
                               ],
        'casts'             => [
                               ],
        'revision'          => [],
        'perPage'           => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],
    ],
];
